package com.capgemini.reports.jasper.compilers;

import net.sf.jasperreports.engine.JRException;
import org.testng.annotations.Test;

import java.io.InputStream;

import static org.assertj.core.api.Assertions.assertThat;


public class JasperCompilerTest {
  private static final String JASPER_TEMPLATE = "/Jasper/template/report_r01.jrxml";

  @Test
  public void compileTest() throws JRException {
    InputStream templateStream = getClass().getResourceAsStream(JASPER_TEMPLATE);
    assertThat(JasperCompiler.compile(templateStream)).isNotNull();
  }
}
